Table of Contents

## Name

AuDataTypes - data types

## Synopsis

#include <audio/audiolib.h>

AuInt32
  A 32 bit integer.
AuUint32
  A 32 bit unsigned integer.
AuInt16
  A 16 bit integer.
AuUint16
  A 16 bit unsigned integer.
AuInt8
  An 8 bit integer.
AuUint8
  An 8 bit unsigned integer.
AuID
  A generic resource id.
AuDeviceID
  A physical or virtual.
AuBucketID
  Server-local stored audio data.
AuRadioID
  A broadcast.
AuFlowID
  How audio data moves.
AuTime
  Server time in milliseconds.
AuMask
  Various value masks
AuBool
  Boolean
AuStatus

AuFixedPoint
  Fixed point value with a 16 bit integer portion and a 16 bit fractional portion.

## See Also

AuDataFormats.

audiolib - Network Audio System C Language Interface

Table of Contents

- Name
- Synopsis
- See Also